Bug 1364401 - S390x kickstart trees do not generate installation media automatically
Summary: S390x kickstart trees do not generate installation media automatically
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.2.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Brad Buckingham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 09:38 UTC by chris procter
Modified: 2019-12-16 06:17 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
Satellite 6.3 - host - synced content for s390x available (101.87 KB, image/png)
2017-08-23 15:30 UTC, Brad Buckingham
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17149 0 Normal Closed s390 kickstart repos are no seen as bootable 2020-09-11 17:38:51 UTC
Red Hat Bugzilla 1398386 0 medium CLOSED [RFE] Satellite provisioning support for s390x zVM 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1568002 0 unspecified CLOSED pre 6.3 s390x kickstart repos should be bootable 2021-06-10 15:50:19 UTC

Internal Links: 1398386 1568002

Description chris procter 2016-08-05 09:38:00 UTC
Description of problem:


Version-Release number of selected component (if applicable):

Satellite 6.2.0 on rhel7.2 on x86_64,  importing kickstart trees for RHEL7.1 RHEL.7.2, RHEL6.8-RHEL6.3 both x86_64 and s90x


How reproducible:
All s390x kickstart trees fail to produce installation media in the gui.


Steps to Reproduce:
1. sync s390x and x86_64 kickstart trees 
2. navigate the "installation media" menu item
3. see that ony the x86_64 versions appear

Actual results:

no s390x installation media are shown in the gui, the x86_64 kickstart trees do create the media automatically.



Expected results:
x86_64 and s390x should both generate installation media entries automatically.


Additional info:
The s390x tree is synced down ontho the filesystem, and all packages appear to be there (afaict)  in /var/lib/pulp/published/yum/https/repos/ORG/Library/content/dist/rhel/system-z/7/7.2/s390x/kickstart  but there is no entry for it in satellite/

Comment 1 linuxteam 2016-09-06 10:36:58 UTC
Is there any update on this bug please? This is blocking our migration to Satellite 6

Comment 3 linuxteam 2016-10-04 14:52:06 UTC
Support Case CASE 01702770 closed, issue resolved by method #1 in
https://access.redhat.com/solutions/2604571
This bugzilla can therefore be closed.

Comment 9 Justin Sherrill 2016-10-31 23:24:38 UTC
Looks like s390 ks repos have the following distribution files:

["images/upgrade.img", "images/install.img", "images/initrd.img", "images/initrd.addrsize", "generic.ins", "addons/HighAvailability/repodata/repomd.xml", "addons/ResilientStorage/repodata/repomd.xml", "images/generic.prm", "images/kernel.img", "images/genericdvd.prm"]

while currently we just look for vmlinuz or pxeboot

Comment 10 Justin Sherrill 2016-10-31 23:50:03 UTC
Connecting redmine issue http://projects.theforeman.org/issues/17148 from this bug

Comment 11 Bryan Kearney 2016-11-01 00:17:18 UTC
Upstream bug component is Candlepin

Comment 12 Justin Sherrill 2016-11-01 00:29:49 UTC
Connecting redmine issue http://projects.theforeman.org/issues/17149 from this bug

Comment 13 Bryan Kearney 2016-11-01 02:05:08 UTC
Upstream bug component is Repositories

Comment 14 Marcel Gazdík 2016-11-01 08:28:53 UTC
@Justin: you ari right, what about to change the glue method this way:
From:
~~~
  ...
    filename.include?("vmlinuz") || filename.include?("pxeboot")
  ...
~~~
To:
~~~
  ...
    filename.include?("vmlinuz") || filename.include?("pxeboot") || filename.include?("kernel.img")
  ...
~~~
It is very easy patch which will at least create the OS/Arch/Install media automatically when the KS repo will be synced. However, this doesn't solve the problem with full bootable image where the build process is looking for the files on wrong place.

Comment 15 Marcel Gazdík 2016-11-01 08:29:40 UTC
P.S: File: /app/models/katello/glue/pulp/repo.rb

Comment 16 Justin Sherrill 2016-11-01 12:38:08 UTC
Marcel, 

When you say "However, this doesn't solve the problem with full bootable image where the build process is looking for the files on wrong place."  can you explain a bit more about this?  Is this a second bug?

Comment 17 Bryan Kearney 2016-11-01 14:05:16 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17149 has been resolved.

Comment 19 Marcel Gazdík 2016-11-01 15:46:42 UTC
@Justin:
  The problem is that the ISOGenerator is always calling host.operatingsystem.pxe_files where the z-system doen't support pxe boot therefore the files doesn't exist and we are getting wrong content in vmlinuz/initrd files. I guess we should change this the pxe_files method to something like:

  boot_files(type) where type = {pxe,iso}

So we can then at least throw an exception if we know the architecture doesnt support PXE and will generate correct ISO with names not based on names provided by {os.family}::PXEFILES. 

BTW, mentioning OS family, like i. e. foreman/app/models/operatingsystems/redhat.rb We should probably include the architecture there as well and based on this we can find out if we support PXE for that family + arch or whether we support ISO only in the code.

Comment 20 Stefan Nemeth 2016-11-21 15:53:44 UTC
Created a separate bz entry for boot iso.

https://bugzilla.redhat.com/show_bug.cgi?id=1397104

Comment 22 Brad Buckingham 2017-08-23 15:30:19 UTC
Verified on Satellite 6.3 SNAP 12: satellite-6.3.0-16.0.beta.el7sat.noarch, tfm-rubygem-katello-3.4.4-1.el7sat.noarch

- enabled/synced  Red Hat Enterprise Linux 7 for System Z Kickstart s390x 7.4
- added repo to content view and published to Library

- NOTE: Installation Media is not created; however, this is expected behavior with Satellite 6.3

- verified s390x architecture created
- verified architecture added to the existing RedHat 7.4 Operating System

- verified that from Host or Host Group, selecting:
  - content view from above + lifecycle environment + s390x architecture + RedHat 7.4 operating systems, will show me the s390x 'Synced Content' for use during provisioning

- will attach a screenshot showing the repo in 'Synced Content'

Comment 23 Brad Buckingham 2017-08-23 15:30:52 UTC
Created attachment 1317143 [details]
Satellite 6.3 - host - synced content for s390x available

Comment 27 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.